Package wx :: Package lib :: Package agw :: Module labelbook :: Class ImageNotebookEvent

[frames | no frames]

## Type ImageNotebookEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
            PyCommandEvent --+
                             |
                            ImageNotebookEvent

This events will be sent when a EVT_IMAGENOTEBOOK_PAGE_CHANGED, EVT_IMAGENOTEBOOK_PAGE_CHANGING, EVT_IMAGENOTEBOOK_PAGE_CLOSING, EVT_IMAGENOTEBOOK_PAGE_CLOSED is mapped in the parent.

Method Summary
| ``__init__`(self, eventType, id, sel, oldsel)` Default class constructor.
| ``Allow`(self)` Allows the event.
| ``GetOldSelection`(self)` Returns the old event selection.
| ``GetSelection`(self)` Returns the event selection.
| ``IsAllowed`(self)` Returns whether the event is allowed or not.
| ``SetOldSelection`(self, s)` Sets the event old selection.
| ``SetSelection`(self, s)` Sets the event selection.
| ``Veto`(self)` Vetos the event.

Property Summary

Method Details

### __init__(self, eventType, id=1, sel=-1, oldsel=-1)
(Constructor)

Default class constructor.

  Overrides:
    `wx.PyCommandEvent.__init__`

### Allow(self)

Allows the event.

### GetOldSelection(self)

Returns the old event selection.

### GetSelection(self)

Returns the event selection.

  Overrides:
    `wx.CommandEvent.GetSelection`

### IsAllowed(self)

Returns whether the event is allowed or not.

### SetOldSelection(self, s)

Sets the event old selection.

### SetSelection(self, s)

Sets the event selection.

### Veto(self)

Vetos the event.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:53:44 2009 | http://epydoc.sf.net